IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Invoices

Invoices for bookings

The invoice object

Attributes

iduuid

Unique identifier

booking_iduuid | null
bookings.id

Identifier of the related booking

organization_iduuid
organizations.id

Identifier of the organization this invoice is defined in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

attachmenttext | null

Custom attachment

ftstsvector
referencetext

Invoice reference

The invoice object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:09:02.881Z",
  "updated_at": "2026-03-12T05:09:02.881Z",
  "attachment": "",
  "reference": ""
}

List invoices

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

organization_idFilter<uuid>
organizations.id

Identifier of the organization this invoice is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

Custom attachment

ftsFilter<tsvector>
referenceFilter<text>

Invoice reference

Responses

200

A list of invoices with the selected columns

206

Partial Content

GET /invoices
curl -X GET "https://api.bookingmood.com/v1/invoices?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create invoices

Body

Partial<Invoice> | Array<Partial<Invoice>>

Responses

201

The newly created invoices with the selected columns

POST /invoices
curl -X POST "https://api.bookingmood.com/v1/invoices" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete invoices

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

organization_idFilter<uuid>
organizations.id

Identifier of the organization this invoice is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

Custom attachment

ftsFilter<tsvector>
referenceFilter<text>

Invoice reference

Responses

204

The deleted invoices with the selected columns

DELETE /invoices
curl -X DELETE "https://api.bookingmood.com/v1/invoices" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update invoices

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

organization_idFilter<uuid>
organizations.id

Identifier of the organization this invoice is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

Custom attachment

ftsFilter<tsvector>
referenceFilter<text>

Invoice reference

Body

Partial<Invoice>

Responses

204

The updated invoices with the selected columns

PATCH /invoices
curl -X PATCH "https://api.bookingmood.com/v1/invoices" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'